package Drawnings;

import Entities.CountPortholes;

import java.awt.*;

public class DrawningPortholesSquare implements IDrawningPortholes {
    private CountPortholes _porthole;

    public CountPortholes getCount()
    {
        return _porthole;
    }
    public void SetCount (int count) {
        switch (count) {
            case 10:
                _porthole = CountPortholes.Ten;
                break;
            case 20:
                _porthole = CountPortholes.Twenty;
                break;
            case 30:
                _porthole = CountPortholes.Thirty;
                break;
            default:
                _porthole = CountPortholes.Ten;
                break;
        }
    }

    public void Draw (Graphics2D g, int _startPosX, int _startPosY) {
        g.setColor(Color.BLACK);
        if (_porthole == CountPortholes.Ten) {
            // цикл
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 19 + i*8, _startPosY+21, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 19 + i*8, _startPosY+21, 3, 3);
            }
        }
        if (_porthole == CountPortholes.Twenty) {
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 19 + i*8, _startPosY+21, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 19 + i*8, _startPosY+21, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 15 + i*5, _startPosY+26, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 15 + i*5, _startPosY+26, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 70 + i*5, _startPosY+26, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 70 + i*5, _startPosY+26, 3, 3);
            }
        }
        if (_porthole == CountPortholes.Thirty){
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 19 + i*8, _startPosY+21, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 19 + i*8, _startPosY+21, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 15 + i*5, _startPosY+26, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 15 + i*5, _startPosY+26, 3, 3);
            }
            for (int i=0; i < 5; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 70 + i*5, _startPosY+26, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 70 + i*5, _startPosY+26, 3, 3);
            }
            for (int i = 0; i < 10; ++i)
            {
                g.setColor(Color.cyan);
                g.fillRect(_startPosX + 19 + i*8, _startPosY+31, 3, 3);
                g.setColor(Color.black);
                g.drawRect(_startPosX + 19 + i*8, _startPosY+31, 3, 3);
            }
        }
    }
}