package Drawnings;

import Entities.CountPortholes;

import java.awt.*;

public class DrawningPortholesHeart implements IDrawningPortholes {
    private CountPortholes _porthole;

    public CountPortholes getCount()
    {
        return _porthole;
    }
    public void SetCount (int count) {
        switch (count) {
            case 10:
                _porthole = CountPortholes.Ten;
                break;
            case 20:
                _porthole = CountPortholes.Twenty;
                break;
            case 30:
                _porthole = CountPortholes.Thirty;
                break;
            default:
                _porthole = CountPortholes.Ten;
                break;
        }
    }

    public void Draw (Graphics2D g, int _startPosX, int _startPosY) {
        g.setColor(Color.BLACK);
        if (_porthole == CountPortholes.Ten) {
            for (int i = 0; i < 10; ++i)
            {
                drawHeart(g, _startPosX + 19 + i*8, _startPosY + 20);
            }
        }
        if (_porthole == CountPortholes.Twenty) {
            for (int i = 0; i < 10; ++i)
            {
                drawHeart(g, _startPosX + 19 + i*8, _startPosY + 20);
            }
            for (int i=0; i < 5; ++i)
            {
                drawHeart(g, _startPosX + 12 + i*6, _startPosY + 26);
            }
            for (int i=0; i < 5; ++i)
            {
                drawHeart(g, _startPosX + 70 + i*6, _startPosY + 26);
            }
        }
        if (_porthole == CountPortholes.Thirty){
            for (int i = 0; i < 10; ++i)
            {
                drawHeart(g, _startPosX + 19 + i*8, _startPosY + 20);
            }
            for (int i=0; i < 5; ++i)
            {
                drawHeart(g, _startPosX + 12 + i*6, _startPosY + 26);
            }
            for (int i=0; i < 5; ++i)
            {
                drawHeart(g, _startPosX + 70 + i*6, _startPosY + 26);
            }
            for (int i = 0; i < 10; ++i)
            {
                drawHeart(g, _startPosX + 19 + i*8, _startPosY+32);
            }
        }
    }

    public void drawHeart(Graphics2D g, int _startPosX, int _startPosY){
        int[] HeartX = {_startPosX+2, _startPosX, _startPosX, _startPosX+1, _startPosX+2, _startPosX+3, _startPosX+5, _startPosX+5};
        int[] HeartY = {_startPosY+4, _startPosY+2, _startPosY, _startPosY, _startPosY+1, _startPosY, _startPosY, _startPosY+2};
        g.setColor(Color.cyan);
        g.fillPolygon(HeartX, HeartY, HeartX.length);
        g.setColor(Color.black);
        g.drawPolygon(HeartX, HeartY, HeartX.length);
    }
}